Bug 200583 - User Agent and SessionID should be given to NetworkRTCProvider to set up the correct proxy information
Summary: User Agent and SessionID should be given to NetworkRTCProvider to set up the ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-08-09 11:32 PDT by youenn fablet
Modified: 2019-08-13 01:54 PDT (History)
5 users (show)

See Also:


Attachments
Patch (30.14 KB, patch)
2019-08-09 11:36 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (33.91 KB, patch)
2019-08-12 01:35 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (34.94 KB, patch)
2019-08-12 03:08 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (34.71 KB, patch)
2019-08-12 09:32 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (34.74 KB, patch)
2019-08-12 09:55 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (34.48 KB, patch)
2019-08-13 00:34 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-08-09 11:32:19 PDT
User Agent and SessionID should be given to NetworkRTCProvider to set up the correct proxy information
Comment 1 youenn fablet 2019-08-09 11:36:38 PDT
Created attachment 375938 [details]
Patch
Comment 2 youenn fablet 2019-08-09 11:36:58 PDT
Patch needs manual testing
Comment 3 Radar WebKit Bug Importer 2019-08-09 11:37:01 PDT
<rdar://problem/54135396>
Comment 4 Build Bot 2019-08-09 11:38:47 PDT
Attachment 375938 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.h:121:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 19 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 youenn fablet 2019-08-12 01:35:51 PDT
Created attachment 376053 [details]
Patch
Comment 6 Build Bot 2019-08-12 01:38:02 PDT
Attachment 376053 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.h:121:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 youenn fablet 2019-08-12 03:08:15 PDT
Created attachment 376055 [details]
Patch
Comment 8 Build Bot 2019-08-12 03:12:13 PDT
Attachment 376055 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.h:121:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
ERROR: Source/WebKit/NetworkProcess/webrtc/NetworkRTCProvider.cpp:39:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 2 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 youenn fablet 2019-08-12 09:32:16 PDT
Created attachment 376070 [details]
Patch
Comment 10 Build Bot 2019-08-12 09:37:29 PDT
Attachment 376070 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.h:121:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 youenn fablet 2019-08-12 09:55:57 PDT
Created attachment 376072 [details]
Patch
Comment 12 Build Bot 2019-08-12 09:59:32 PDT
Attachment 376072 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.h:121:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 youenn fablet 2019-08-12 10:46:31 PDT
(In reply to youenn fablet from comment #11)
> Created attachment 376072 [details]
> Patch

Tested on Mac, not yet on iOS.
Comment 14 Eric Carlson 2019-08-12 13:27:58 PDT
Comment on attachment 376072 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=376072&action=review

> Source/WebCore/ChangeLog:8
> +        Use a specific socket factory that is specific to the user agent and session ID.

Nit: s/a specific socket factory/a socket factory/

> Source/WebKit/ChangeLog:9
> +        Use of this information to get the proxy information from NetworkSession and pass it to libwebrtc socket creation.

Nit: s/Use of this/Use this/

> Source/WebKit/NetworkProcess/cocoa/NetworkSessionCocoa.h:31
> +OBJC_CLASS NSURLSessionConfiguration;

Nit: it doesn't look like this is needed (yet)
Comment 15 youenn fablet 2019-08-13 00:34:53 PDT
Created attachment 376140 [details]
Patch for landing
Comment 16 Build Bot 2019-08-13 00:36:25 PDT
Attachment 376140 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mediastream/libwebrtc/LibWebRTCProvider.h:121:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 17 WebKit Commit Bot 2019-08-13 01:54:33 PDT
Comment on attachment 376140 [details]
Patch for landing

Clearing flags on attachment: 376140

Committed r248592: <https://trac.webkit.org/changeset/248592>
Comment 18 WebKit Commit Bot 2019-08-13 01:54:35 PDT
All reviewed patches have been landed.  Closing bug.